StudentWritingCParserInternal::ZoneStruct Struct Reference

an structure of StudentWritingCParserInternal to store the position of a zone and its entries More...

## Public Member Functions
| ZoneStruct ()
| constructor

## Public Attributes
ZoneEntry | m_ids [9]
| the zone ids
int | m_flags
| the zone flag
int | m_subZones2
| the number of subzone in zone2
float | m_margins [4]
| the margins: LTRB

## Detailed Description

an structure of StudentWritingCParserInternal to store the position of a zone and its entries

## Constructor & Destructor Documentation

## ◆ ZoneStruct()

StudentWritingCParserInternal::ZoneStruct::ZoneStruct | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_flags

int StudentWritingCParserInternal::ZoneStruct::m_flags

the zone flag

Referenced by StudentWritingCParser::createZones(), and ZoneStruct().

## ◆ m_ids

ZoneEntry StudentWritingCParserInternal::ZoneStruct::m_ids[9]

the zone ids

Referenced by StudentWritingCParser::createZones().

## ◆ m_margins

float StudentWritingCParserInternal::ZoneStruct::m_margins[4]

the margins: LTRB

Referenced by StudentWritingCParser::createZones(), and ZoneStruct().

## ◆ m_subZones2

int StudentWritingCParserInternal::ZoneStruct::m_subZones2

the number of subzone in zone2

Referenced by StudentWritingCParser::createZones(), and ZoneStruct().

The documentation for this struct was generated from the following file:

- StudentWritingCParser.cxx